Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jChatBox.Service
Class SystemProcessor

    java.lang.Object
      |
      +--jChatBox.Service.SystemProcessor

Direct Known Subclasses:
  ModeratorProcessor

public class SystemProcessor
extends java.lang.Object

This class handles all SYSTEM HttpRequests once logged.

Field Summary
`protected UserCommand` | `_commands`

Constructor Summary
`SystemProcessor()` Dummy constructor.

Method Summary
`java.lang.String` | `checkSystemLogin(javax.servlet.http.HttpSession session)` Checks if SYSTEM user is logged.
`java.lang.String` | `execute(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpSession session, javax.servlet.ServletContext application)` Processes all SYSTEM actions.
`UserCommand` | `getCommand()` Returns command instance.
`java.lang.String` | `getSysMessage(javax.servlet.http.HttpSession session)` Returns message or error.
`void` | `setSysMessage(javax.servlet.http.HttpSession session, java.lang.String message)` Sets message or error.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _commands

    protected UserCommand _commands

Constructor Detail

### SystemProcessor

    public SystemProcessor()

  Dummy constructor.

Method Detail

### execute

    public java.lang.String execute(javax.servlet.http.HttpServletRequest request,
                                    javax.servlet.http.HttpSession session,
                                    javax.servlet.ServletContext application)

  Processes all SYSTEM actions.
  UPDATESYSTEM(backupfile,logfolder,systemlogin,systememail,timeout,cookieid,license,update,systempassword,usersessionid)
  BACKUP

### checkSystemLogin

    public java.lang.String checkSystemLogin(javax.servlet.http.HttpSession session)

  Checks if SYSTEM user is logged.
  SYSTEM user is logged if ChatroomUser is attached to HttpSession and ChatroomUser's type is SYSTEM.

### setSysMessage

    public void setSysMessage(javax.servlet.http.HttpSession session,
                              java.lang.String message)

  Sets message or error.

### getSysMessage

    public java.lang.String getSysMessage(javax.servlet.http.HttpSession session)

  Returns message or error.

### getCommand

    public UserCommand getCommand()

  Returns command instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD